cs772421 发表于 2017-12-7 02:58:40

kangle .net framework 4.0插件【搭建支持ASP.NET4.0的服务器】

本帖最后由 cs772421 于 2017-12-7 03:07 编辑

必须先将net4再装mysql,iis7装后必须再加装论坛那个iis插件!
net.40插件下载
windows下的iis插件原帖地址:
https://bbs.kangleweb.com/thread-6597-1-1.html
我把官方的软件都集合在一起了,包含了iis插件和mysql5.5.56数据库安装包。

kanglex86打包包含:
kaspx4.msi    mysql-5.5.56-win32.msi        easypanel-iis-1.6.2.exe         easypanel-iis7-1.2.2.exe        easypanel-php54-5.4.19.exe        ep-2.6.22.exe
iis完美卸载工具:IIS_IN_UN_OneKey_x86.exe

kangleX86全部安装软件打包下载    链接: https://pan.baidu.com/s/1bo7Wzgj 密码: ny3y

kangleX64打包包含:
kangle-3.4.8-x64.msi        kangle-3.5.11.1.msi                easypanel-iis-1.6.2-x64.exe        easypanel-iis7-1.2.2-x64.exe        ep-2.6.22-x64.exe       
IIS完美卸载工具:IIS_IN_UN_OneKey_x64.exe
kangleX64全部安装软件打包下载   链接: https://pan.baidu.com/s/1miL12xq 密码: q4rm

Windows下安装kangle详细视频录像 下载:    链接: https://pan.baidu.com/s/1jIEdU7O 密码: 9etp
最后告诉大家,如果资源下载地址是:

http://www.kanglesoft.com/bbs/thread-6597-1-1.html
只要把地址改成
http://bbs.kanglesoft.com/thread-6597-1-1.html
这样就可以了,因为kangle启用了新域名。

-------------------------------------------------------
本插件支持easypanel在iis上开空间,如asp/.net/php 等可由iis 来跑,这样asp/.net将不存在兼容性问题。
请安装easypanel 1.6.2以上,kangle 2.7.4以上。安装完本插件IIS 6.0的要重启操作系统。
原理就是由iis侦听127.0.0.1的80端口。kangle反代iis。

   IIS 6.0            32位(x86)    64位(x64)
   IIS 7.0/7.5    32位(x86)      64位(x64)
   
使用方法:
      安装本插件后,在easypanel或vhms中新建空间或产品时请选择iis模板。
安装本插件前,请安装并设置好你的iis。

以下是对iis的设置建议:
1.启用asp,asp.net,关闭iis日志。
2.增加index文件
3.增加默认mime类型为text/plain
4.允许父目录包含
5.64bit iis 6.0 设置: cscript C:/inetpub/adminscripts/adsutil.vbs SET W3SVC/AppPools/Enable32bitAppOnWin64 1
说明:IIS 不支持泛域名绑定。如*.abc.com这样子,绑定了无法启动网站。

easypanel配置iis 6.0插件开asp,asp.net空间详细图文教程
点击查看详细操作

easypanel配置iis 6.0插件开asp,asp.net空间视频教程
视频教程下载地址:http://www.kangleweb.com/kanglesite/video/ii6.0.avi
页: [1]
查看完整版本: kangle .net framework 4.0插件【搭建支持ASP.NET4.0的服务器】